{
  config,
  pkgs,
  ...
}: {
  imports = [
    ../../modules/home-manager/hyprland.nix
    ../../modules/home-manager/git.nix
    ../../modules/home-manager/nixcats
    ../../modules/home-manager/kitty.nix
    ../../modules/home-manager/zsh.nix
    ../../modules/home-manager/tmux.nix
    ../../modules/home-manager/taskwarrior.nix
    ../../modules/home-manager/email.nix
    ../../modules/home-manager/syncthing.nix
    ../../modules/home-manager/bitwarden.nix
    ../../modules/home-manager/kubernetes.nix
    ../../modules/home-manager/nix-index.nix
    ../../modules/home-manager/bitwarden.nix
    ../../modules/home-manager/direnv.nix
    ../../modules/home-manager/jq.nix
    ../../modules/home-manager/lazygit.nix
    ../../modules/home-manager/man.nix
  ];
  home.username = "mthomson";
  home.homeDirectory = "/home/mthomson";
  home.stateVersion = "23.11";

  home.packages = with pkgs; [
    firefox
    gcc
  ];

  home.sessionVariables = {
    STEAM_EXTRA_COMPAT_TOOLS_PATH = "\${HOME}/.steam/root/compatibilitytools.d";
  };

  programs.home-manager.enable = true;
}
